Subject: bug#50390: Improve documentation of 'read-char-choice-use-read-key' and 'y-or-n-p-use-read-key'

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 05 Sep 2021 12:03:28 +0200

Juri Linkov <[email-masked]> writes:

>> When I look into the documentation of those variables, I do not get
>> any explanation of why I would want to use them.  I also can't find
>> any explanation in the manual.
>>
>> Even just one or two sentences that indicates its typical use would be
>> very helpful here.
>
> The problem is that read-char-choice still has no docstring.
> After adding it, the docstring of read-char-choice should
> refer to read-char-choice-use-read-key and explain it.
>
> y-or-n-p already has docstring and should mention y-or-n-p-use-read-key.

I've now added some text to the doc strings of the variables and
functions to try to explain what the difference here is, which isn't
obvious.  Feel free to improve more -- it's kinda hard to succinctly
explain the user interface difference here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no